local Hermes = _G['Hermes']

local zo_strformat = zo_strformat

function Hermes.ToggleChangelog(option)
    Hermes_Changelog:ClearAnchors()
    Hermes_Changelog:SetAnchor(CENTER, GuiRoot, CENTER, 0, -120)
    Hermes_Changelog:SetHidden(option)
end

function Hermes.ChangelogScreen()
    if not Hermes.db.showChangelog then
        return
    end
    local changelog = table.concat(Hermes.GetDefaultLocaleString("changelog_message"), "\n")
    changelog = string.gsub(changelog, "%[%*%]", "|t12:12:esoui/art/miscellaneous/bullet.dds|t")
    changelog = string.gsub(changelog, "%[%+%]", "|t12:12:esoui/art/miscellaneous/spinnerplus_up.dds|t")
    changelog = string.gsub(changelog, "%[%-%]", "|t12:12:esoui/art/miscellaneous/spinnerminus_up.dds|t")
    changelog = string.gsub(changelog, "%[%=%]", "|t12:12:esoui/art/miscellaneous/check.dds|t")

    Hermes_Changelog_Title:SetText(zo_strformat(Hermes.GetDefaultLocaleString("changelog_title"), Hermes.name))
    Hermes_Changelog_About:SetText(zo_strformat(Hermes.GetDefaultLocaleString("changelog_from"), Hermes.version, Hermes.author))
    Hermes_Changelog_Text:SetText(changelog)

    if (Hermes.db.welcomeVersion ~= Hermes.version) then
        Hermes_Changelog:SetHidden(false)
    end

    Hermes.db.welcomeVersion = Hermes.version
end
